[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Eclipse broken?



Completely removed all eclipse* packages with rpm -e
updatedb
locate eclipse
removed all directories and files relating to eclipse.
re-installed eclipse-*.x86_64 with yum

sh-3.2$ for f in eclipse-rcp eclipse-platform eclipse-sdk; do echo $f; rpm -qV $f; done
eclipse-rcp
eclipse-platform
eclipse-sdk
sh-3.2$

sh-3.2$ rpm -qa | grep eclipse | sort
eclipse-cdt-3.1.2-2.fc7
eclipse-cdt-debuginfo-3.1.2-2.fc7
eclipse-cdt-sdk-3.1.2-2.fc7
eclipse-changelog-2.3.4-1.fc7
eclipse-changelog-debuginfo-2.3.4-1.fc7
eclipse-debuginfo-3.2.2-9.fc7
eclipse-ecj-3.2.2-9.fc7
eclipse-emf-2.2.2-1.fc7
eclipse-emf-examples-2.2.2-1.fc7
eclipse-emf-sdk-2.2.2-1.fc7
eclipse-emf-sdo-2.2.2-1.fc7
eclipse-emf-sdo-sdk-2.2.2-1.fc7
eclipse-emf-standalone-2.2.2-1.fc7
eclipse-emf-xsd-2.2.2-1.fc7
eclipse-emf-xsd-sdk-2.2.2-1.fc7
eclipse-gef-3.2.1-4.fc7
eclipse-gef-examples-3.2.1-4.fc7
eclipse-gef-sdk-3.2.1-4.fc7
eclipse-jdt-3.2.2-9.fc7
eclipse-jdt-sdk-3.2.2-9.fc7
eclipse-mylar-2.0-0.1.M2a.1.fc7
eclipse-mylar-bugzilla-2.0-0.1.M2a.1.fc7
eclipse-mylar-ide-2.0-0.1.M2a.1.fc7
eclipse-mylar-trac-2.0-0.1.M2a.1.fc7
eclipse-pde-3.2.2-9.fc7
eclipse-pde-runtime-3.2.2-9.fc7
eclipse-pde-sdk-3.2.2-9.fc7
eclipse-phpeclipse-1.1.8-16.fc7
eclipse-platform-3.2.2-9.fc7
eclipse-platform-sdk-3.2.2-9.fc7
eclipse-pydev-1.3.1-5.fc7
eclipse-rcp-3.2.2-9.fc7
eclipse-rcp-sdk-3.2.2-9.fc7
eclipse-sdk-3.2.2-9.fc7
eclipse-subclipse-1.1.9-2.fc7
eclipse-subclipse-book-1.1.9-2.fc7

removed /home/andy/.eclipse
removed /home/andy/workspace

started eclipse -- failed

Contents of /home/andy/workspace/.metadata/.log:

sh-3.2$ more .log
!SESSION 2007-05-10 15:03:38.072 -----------------------------------------------
eclipse.buildId=M20070212-1330
java.fullversion=GNU libgcj 4.1.2 20070424 (Red Hat 4.1.2-11)
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US
Command-line arguments:  -os linux -ws gtk -arch x86_64 -clean

!ENTRY org.eclipse.update.configurator 2007-05-10 15:03:39.065
!MESSAGE Could not install bundle plugins/org.eclipse.pde.build/ Bundle "org.e clipse.pde.build" version "3.2.1.r321_v20060823" has already been installed from
: update plugins/org.eclipse.pde.build_3.2.1.r321_v20060823/

!ENTRY org.eclipse.core.runtime 2007-05-10 15:03:40.165
!MESSAGE Product org.eclipse.platform.ide could not be found.

!ENTRY org.eclipse.osgi 4 0 2007-05-10 15:03:40.168
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: No application id has been found.
at org.eclipse.core.internal.runtime.PlatformActivator$1.run(org.eclipse.core
.runtime_3.2.0.v20060603.jar.so)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplicatio
n(org.eclipse.osgi_3.2.2.R32x_v20070118.jar.so)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(org.ecl
vi -c 1 .log------------------------
ipse.osgi_3.2.2.R32x_v20070118.jar.so)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(org.eclipse.osgi_3.2.2
.R32x_v20070118.jar.so)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(org.eclipse.osgi_3.2.2
.R32x_v20070118.jar.so)
  at java.lang.reflect.Method.invoke(libgcj.so.8rh)
  at org.eclipse.core.launcher.Main.invokeFramework(startup.jar.so)
  at org.eclipse.core.launcher.Main.basicRun(startup.jar.so)
  at org.eclipse.core.launcher.Main.run(startup.jar.so)
  at org.eclipse.core.launcher.Main.main(startup.jar.so)

!ENTRY org.eclipse.osgi 2 0 2007-05-10 15:03:40.333
!MESSAGE One or more bundles are not resolved because the following root constra
ints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2007-05-10 15:03:40.333
!MESSAGE Bundle update plugins/org.eclipse.team.cvs.ssh2_3.2.1.M20061205.jar was
not resolved.
!SUBENTRY 2 org.eclipse.team.cvs.ssh2 2 0 2007-05-10 15:03:40.333
!MESSAGE Missing required bundle org.eclipse.swt_[3.2.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2007-05-10 15:03:40.333
!MESSAGE Bundle update plugins/net.sourceforge.phpeclipse.phphelp_1.1.8/ was not
resolved.
!SUBENTRY 2 net.sourceforge.phpeclipse.phphelp 2 0 2007-05-10 15:03:40.333
!MESSAGE Missing required bundle org.eclipse.swt_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2007-05-10 15:03:40.333
!MESSAGE Bundle update plugins/net.sourceforge.phpeclipse_1.1.8/ was not resolve
d.
!SUBENTRY 2 net.sourceforge.phpeclipse 2 0 2007-05-10 15:03:40.333
!MESSAGE Missing required bundle org.eclipse.swt_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2007-05-10 15:03:40.333
!MESSAGE Bundle update plugins/org.eclipse.mylar_2.0.0.v20070403-1300.jar was no
t resolved.
!SUBENTRY 2 org.eclipse.mylar 2 0 2007-05-10 15:03:40.333
!MESSAGE Missing required bundle org.eclipse.swt_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2007-05-10 15:03:40.333
!MESSAGE Bundle update plugins/org.eclipse.jface_3.2.2.M20061214-1200.jar was no
t resolved.
!SUBENTRY 2 org.eclipse.jface 2 0 2007-05-10 15:03:40.333
!MESSAGE Missing required bundle org.eclipse.swt_[3.2.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2007-05-10 15:03:40.333
!MESSAGE Bundle update plugins/org.eclipse.ui.workbench_3.2.2.M20070119-0800.jar
was not resolved.
!SUBENTRY 2 org.eclipse.ui.workbench 2 0 2007-05-10 15:03:40.333
!MESSAGE Missing required bundle org.eclipse.swt_[3.2.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2007-05-10 15:03:40.333
!MESSAGE Bundle update plugins/org.eclipse.jface.text_3.2.2.r322_v20070104.jar w
as not resolved.
!SUBENTRY 2 org.eclipse.jface.text 2 0 2007-05-10 15:03:40.333
!MESSAGE Missing required bundle org.eclipse.swt_[3.2.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2007-05-10 15:03:40.334
!MESSAGE Bundle update plugins/org.eclipse.draw2d_3.2.1.R32_Maintenance.jar was
not resolved.
!SUBENTRY 2 org.eclipse.draw2d 2 0 2007-05-10 15:03:40.334
!MESSAGE Missing required bundle org.eclipse.swt_[3.2.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2007-05-10 15:03:40.334
!MESSAGE Bundle update plugins/org.eclipse.ui_3.2.1.M20061108.jar was not resolv
ed.
!SUBENTRY 2 org.eclipse.ui 2 0 2007-05-10 15:03:40.334
!MESSAGE Missing required bundle org.eclipse.swt_[3.2.0,4.0.0).



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]